package com.yfd.platform.modules.experimentalData.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.sql.Timestamp;
import java.time.LocalDateTime;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 试验任务节点表
 * </p>
 *
 * @author LiMengNan
 * @since 2025-01-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("ts_nodes")
public class TsNodes implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 节点ID
     */
    @TableId(type = IdType.ASSIGN_UUID)
    private String nodeId;

    /**
     * 所属任务ID
     */
    private String taskId;

    /**
     * 上级节点：顶级：“00”
     */
    private String parentId;

    /**
     * 节点顺序
     */
    private Integer nodeOrder;

    /**
     * 节点名称
     */
    private String nodeName;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Timestamp createTime;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 备注1
     */
    private String custom1;

    /**
     * 备注2
     */
    private String custom2;

    /**
     * 备注3
     */
    private String custom3;


}
