package com.yfd.platform.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.sql.Timestamp;
import java.time.LocalDateTime;

/**
 * <p>
 * 系统操作日志
 * </p>
 *
 * @author LiMengNan
 * @since 2023-03-08
 */
@Data
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class SysLog implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 用户账号
     */
    @TableField("usercode")
    private String usercode;

    /**
     * 用户名称
     */
    private String username;

    /**
     * 操作类型 00-登录 01-新增 02-修改 03-删除 06-查询 09其他
     */
    @TableField("opttype")
    private String opttype;

    /**
     * 模块名称
     */
    private String module;

    /**
     * 日志描述
     */
    private String description;

    /**
     * 操作方法
     */
    private String method;

    /**
     * 方法参数
     */
    private String params;

    /**
     * 创建时间
     */
    @TableField("logtime")
    private Timestamp logtime;

    /**
     * 请求IP
     */
    @TableField("requestip")
    private String requestip;

    /**
     * 浏览器类型
     */
    private String browser;

    public SysLog(String opttype) {
        this.opttype = opttype;
    }
}
